<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Book extends Model
{
    use HasFactory;
    
    protected $fillable = [
        'isbn',
        'title',
        'authors',
        'editorial',
        'year',
        'image',
        'document',
        'category_id'
    ];
    
    public function category() {
        return $this->belongsTo(Category::class);
    }
    
    public function loans() {
        return $this->hasMany(Loan::class);
    }
}
